OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPBase
StepBasic

# StepBasic_ApplicationContextElement Class Reference

`#include <StepBasic_ApplicationContextElement.hxx>`

Inheritance diagram for StepBasic_ApplicationContextElement:

[legend]

## Public Member Functions
Standard_EXPORT | StepBasic_ApplicationContextElement ()
| Returns a ApplicationContextElement .
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Handle(StepBasic_ApplicationContext)&aFrameOfReference)
Standard_EXPORT void | SetName (const Handle(TCollection_HAsciiString)&aName)
Standard_EXPORT Handle_TCollection_HAsciiString | Name () const
Standard_EXPORT void | SetFrameOfReference (const Handle(StepBasic_ApplicationContext)&aFrameOfReference)
Standard_EXPORT Handle_StepBasic_ApplicationContext | FrameOfReference () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_TCollection_HAsciiString | name
Handle_StepBasic_ApplicationContext | frameOfReference

## Constructor & Destructor Documentation

Standard_EXPORT StepBasic_ApplicationContextElement::StepBasic_ApplicationContextElement | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_StepBasic_ApplicationContext StepBasic_ApplicationContextElement::FrameOfReference | ( |  | ) | const

Standard_EXPORT const StepBasic_ApplicationContextElement::Handle | ( | Standard_Type |  | ) | const

| Reimplemented in StepBasic_DesignContext, StepBasic_MechanicalContext, StepBasic_ProductConceptContext, StepBasic_ProductContext, and StepBasic_ProductDefinitionContext.

virtual Standard_EXPORT void StepBasic_ApplicationContextElement::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(StepBasic_ApplicationContext)& | aFrameOfReference
| ) | `[virtual]`

| Reimplemented in StepBasic_ProductContext, and StepBasic_ProductDefinitionContext.

Standard_EXPORT Handle_TCollection_HAsciiString StepBasic_ApplicationContextElement::Name | ( |  | ) | const

Standard_EXPORT void StepBasic_ApplicationContextElement::SetFrameOfReference | ( | const Handle(StepBasic_ApplicationContext)& | aFrameOfReference | ) |

Standard_EXPORT void StepBasic_ApplicationContextElement::SetName | ( | const Handle(TCollection_HAsciiString)& | aName | ) |

## Field Documentation

Handle_StepBasic_ApplicationContext StepBasic_ApplicationContextElement::frameOfReference`[private]`

Handle_TCollection_HAsciiString StepBasic_ApplicationContextElement::name`[private]`

The documentation for this class was generated from the following file:

- StepBasic_ApplicationContextElement.hxx